﻿using System;
using System.Collections.Generic;

namespace BlazorApp2.Models
{
    public partial class TtkActivity
    {
        public Guid ActivityId { get; set; }
        public long ActivityNumber { get; set; }
        public string Protocol { get; set; }
        public Guid? FlowId { get; set; }
        public Guid? UserId { get; set; }
        public DateTime? DataStamp { get; set; }
        public string TimeStamp { get; set; }
        public string Sn { get; set; }
        public string Description { get; set; }
        public string Region { get; set; }
        public string Province { get; set; }
        public string City { get; set; }
        public string ClientAddress { get; set; }
        public string Cap { get; set; }
        public string ThirdIdType01 { get; set; }
        public string ThirdIdType02 { get; set; }
        public string CatNumber { get; set; }
        public DateTime? StartActivity { get; set; }
        public DateTime? EndActivity { get; set; }
        public string Detail { get; set; }
        public string PerformedBy { get; set; }
        public string ItemRemoved { get; set; }
        public string InItem01 { get; set; }
        public string InItem02 { get; set; }
        public string InItem03 { get; set; }
        public string InItem04 { get; set; }
        public string InItem05 { get; set; }
        public string InItem06 { get; set; }
        public string InItem07 { get; set; }
        public string InItem08 { get; set; }
        public string InItem01Sn { get; set; }
        public string InItem02Sn { get; set; }
        public string InItem03Sn { get; set; }
        public string InItem04Sn { get; set; }
        public string InItem05Sn { get; set; }
        public string InItem06Sn { get; set; }
        public string InItem07Sn { get; set; }
        public string InItem08Sn { get; set; }
        public string OutItem01 { get; set; }
        public string OutItem02 { get; set; }
        public string OutItem03 { get; set; }
        public string OutItem04 { get; set; }
        public string OutItem05 { get; set; }
        public string OutItem06 { get; set; }
        public string OutItem07 { get; set; }
        public string OutItem08 { get; set; }
        public string OutItem01Sn { get; set; }
        public string OutItem02Sn { get; set; }
        public string OutItem03Sn { get; set; }
        public string OutItem04Sn { get; set; }
        public string OutItem05Sn { get; set; }
        public string OutItem06Sn { get; set; }
        public string OutItem07Sn { get; set; }
        public string OutItem08Sn { get; set; }
        public string Test { get; set; }
        public string TestReference { get; set; }
        public string Note { get; set; }
        public string Sla { get; set; }
        public string Cost { get; set; }
        public string Validate { get; set; }
        public string Invoice { get; set; }
        public string MonthReference { get; set; }
        public string TicketCode01 { get; set; }
        public string TicketCode02 { get; set; }
        public Guid? TicketId { get; set; }
        public string SpecialInstructions { get; set; }
        public string ClientRefName { get; set; }
        public string ClientRefEmail { get; set; }
        public string ClientPosName { get; set; }
        public string EffectiveHours { get; set; }
        public string Struttura { get; set; }
        public string Luogo { get; set; }
        public string FailureClass { get; set; }
        public string ActivityClass { get; set; }
        public string Onsite { get; set; }
        public string FailureClassNote { get; set; }
        public string ProductCiscoCase { get; set; }
        public DateTime? Appuntamento { get; set; }
        public string IdIntervento { get; set; }
        public DateTime? FineDisservizio { get; set; }
        public string Esito { get; set; }
        public string Host { get; set; }
        public string Mail { get; set; }
        public DateTime? MailDataStamp { get; set; }
        public string MailTimeStamp { get; set; }
        public string Qualificazione { get; set; }
        public string NoteQualificazione { get; set; }
        public string Latitudine { get; set; }
        public string Longitudine { get; set; }
        public string Extra { get; set; }
        public string SostPrev01 { get; set; }
        public string SostPrev02 { get; set; }
        public string SostPrev03 { get; set; }
        public string SostPrev04 { get; set; }
        public string SostPrev05 { get; set; }
        public string SostPrev06 { get; set; }
        public string SostPrev07 { get; set; }
        public string SostPrev08 { get; set; }
        public string Vendor01 { get; set; }
        public string Vendor02 { get; set; }
        public string Vendor03 { get; set; }
        public string Vendor04 { get; set; }
        public string Vendor05 { get; set; }
        public string Vendor06 { get; set; }
        public string Vendor07 { get; set; }
        public string Vendor08 { get; set; }
    }
}
