﻿using System;
using System.Collections.Generic;

namespace BlazorApp2.Models
{
    public partial class TtkServiceRequest
    {
        public Guid ServiceRequestId { get; set; }
        public long ServiceRequestNumber { get; set; }
        public string Protocol { get; set; }
        public Guid? UserId { get; set; }
        public Guid? FlowId { get; set; }
        public string TicketCode { get; set; }
        public string ThirdIdType01 { get; set; }
        public string ThirdIdType02 { get; set; }
        public DateTime? StartDate { get; set; }
        public DateTime? EndDate { get; set; }
        public DateTime? ServiceStart { get; set; }
        public DateTime? ServiceEnd { get; set; }
        public string CatNumber { get; set; }
        public string ClientAddress { get; set; }
        public string ClientRegion { get; set; }
        public string ClientCity { get; set; }
        public string ClientProvince { get; set; }
        public string ClientCap { get; set; }
        public string ClientRefName { get; set; }
        public string ClientRefEmail { get; set; }
        public string ClientPosName { get; set; }
        public string SerialNumber { get; set; }
        public string ProductDescription { get; set; }
        public string Host { get; set; }
        public string Sla { get; set; }
        public string CodiceSla { get; set; }
        public string TipoServizio { get; set; }
        public string Gettoni { get; set; }
        public string TipoGettoni { get; set; }
        public string TypeRequest { get; set; }
        public string Note { get; set; }
        public string Detail { get; set; }
        public string Technology { get; set; }
        public string MotivazioneChiusura { get; set; }
        public DateTime? DataStamp { get; set; }
        public string TimeStamp { get; set; }
        public string Sito { get; set; }
    }
}
